# Reverse a credit memo Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Reverses a posted credit memo. See Reverse credit memos for more information. You can reverse a credit memo only if you have the user permission. See Billing Roles for more information. Restrictions You cannot reverse credit memos if any of the following conditions is met: * A credit memo's applied amount is not 0. * A credit memo is not in Posted status. * A credit memo contains more than 2,000 items in total, including credit memo items, discount items, and taxation items. Endpoint: PUT /v1/credit-memos/{creditMemoKey}/reverse Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `creditMemoKey` (string, required) The ID or number of the credit memo. For example, 2c92c8955bd63cc1015bd7c151af02ab or CM00000001. ## Request fields (application/json): - `applyEffectiveDate` (string) The date when the to-be-reversed credit memo is applied to the newly generated debit memo, in yyyy-mm-dd format. The effective date must be later than or equal to the memo date. The default value is the date when you reverse the credit memo and create the debit memo. Example: "2017-02-20" - `comment` (string) Comments about the reversal. The comment is used as the comment of the debit memo generated by reversing the specified credit memo. - `memoDate` (string) The date when the debit memo is created, in yyyy-mm-dd format. The memo date must be later than or equal to the credit memo's memo date. The default value is the date when you reverse the credit memo and create the debit memo. Example: "2017-02-20" - `reasonCode` (string) A code identifying the reason for the reversal. The value must be an existing reason code or empty. The code is used as the reason code of the debit memo generated by reversing the specified credit memo. If you do not specify a value, Zuora uses the default reason code Credit memo reversal for the debit memo. ## Response 200 fields (application/json): - `creditMemo` (object) Container for the credit memo that is automatically generated during the reversal of the invoice that is related to the credit memo. If no related invoice is reversed, the value is null. - `creditMemo.id` (string) The ID of the credit memo. - `debitMemo` (object) Container for the debit memo that is automatically generated during the credit memo reversal. - `debitMemo.id` (string) The ID of the debit memo. - `success` (boolean) Returns true if the request was processed successfully. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.